@charset "UTF-8";

@font-face {
    font-family: 'Latinka-Bold';
    src: url('/res/fonts/Latinka-Bold.otf') format('opentype');
}

@font-face {
    font-family: 'Latinka-ExtraBold';
    src: url('/res/fonts/Latinka-ExtraBold.otf') format('opentype');
}

@font-face {
    font-family: 'Latinka-Light';
    src: url('/res/fonts/Latinka-Light.otf') format('opentype');
}

@font-face {
    font-family: 'Latinka-Medium';
    src: url('/res/fonts/Latinka-Medium.otf') format('opentype');
}

@font-face {
    font-family: 'Latinka-Regular';
    src: url('/res/fonts/Latinka-Regular.otf') format('opentype');
}

@font-face {
    font-family: 'Latinka-Bold-italic';
    src: url('/res/fonts/Latinka-Bold-Italic.otf') format('opentype');
}

@font-face {
    font-family: 'Latinka-ExtraLight';
    src: url('/res/fonts/Latinka-ExtraLight.otf') format('opentype');
}

@font-face {
    font-family: 'Latinka-SemiBold';
    src: url('/res/fonts/Latinka-SemiBold.otf') format('opentype');
}

@font-face {
    font-family: 'Latinka-Thin';
    src: url('/res/fonts/Latinka-Thin.otf') format('opentype');
}

:root {
	--primary-color: #2727d5;
	--secondary-color: #ffffff;
	--light-color: #666666;

	--background-color: #ffffff;
	--secondary-background-color: #212121;

	--input-border-color: #ffffff;
	--input-color: #333333;

	--primary-font: "Latinka-Regular";
	--bold-font: "Latinka-Bold";
	--extra-bold-font: "Latinka-ExtraBold";
	--light-font: "Latinka-Light";
	--medium-font: "Latinka-Medium";
	--bold-italic-font: "Latinka-Bold-italic";
	--extra-light-font: "Latinka-ExtraLight";
	--semi-bold-font: "Latinka-SemiBold";
	--thin-font: "Latinka-Thin";

	--font-color: #202020;
	--light-font-color: #606060;

	--danger-font-color: #fe1516;
	--warning-font-color: #f7bb00;
	--ok-font-color: #0bc91b;
	--great-font-color: #057a0f;

	--scrollbar-track-color: #e8eaf6;
	--scrollbar-thumb-color: var(--primary-color);
	--scrollbar-thumb-hover-color: #3a3a3a;

	--scrollbar-width-pc: 12px;
	--scrollbar-width-mb: 3px;
}

::-webkit-scrollbar {
	width: var(--scrollbar-width-pc);
}

::-webkit-scrollbar-track {
	background: var(--scrollbar-track-color);
}

::-webkit-scrollbar-thumb {
	background: var(--scrollbar-thumb-color);
}

::-webkit-scrollbar-thumb:hover {
	background: var(--scrollbar-thumb-hover-color);
}

.pointer {
	cursor: pointer;
}

html {
	overflow-x: hidden;
}

body {
	margin: 0;

	display: -webkit-box;

	display: -ms-flexbox;

	display: flex;
	-webkit-box-orient: vertical;
	-webkit-box-direction: normal;
	-ms-flex-direction: column;
	flex-direction: column;
	min-height: 100vh;

	background-color: var(--background-color);
	color: var(--font-color);
}

img {
	-webkit-user-select: none;
	-ms-user-select: none;
	-moz-user-select: none;
	user-select: none;
}

a {
	text-decoration: none;
}

a, a:visited, a:hover, a:active {
	color: none;
}

ul {
	list-style: none;
}

* {
	font-family: var(--primary-font);
	font-size: 1em;

	-webkit-box-sizing: border-box;
	box-sizing: border-box;
}

.stop-scrolling {
	height: 100%;
	overflow: hidden;
}

.clickable {
	cursor: pointer;
}

*:focus {
	outline: none;
}

.flex-div{
    display: flex;
    flex-direction: column;
    width: 100%;
    align-items: center;
}

.a-logo{
    width: 100%;
}

.logo{
    margin: 3vw auto 4vw 0;
    width: 5%;
}

.primary{
    color: var(--primary-color);
}

.secondary{
    color: var(--secondary-color);
}

.relative{
    position: relative;
    width: 100%;
}

.mt-1{
    margin-top: 1vw;
}

.mt-3{
    margin-top: 3vw;
}

.mt-5{
    margin-top: 5vw;
}

.mt-7{
    margin-top: 7vw;
}

.bold{
    font-family: var(--bold-font);
}

.extra-bold{
    font-family: var(--extra-bold-font);
}

.light{
    font-family: var(--light-font);
}

.medium{
    font-family: var(--medium-font);
}

.italic{
	font-family: var(--bold-italic-font);
}

.extra-light{
    font-family: var(--extra-light-font);
}

.semi-bold{
    font-family: var(--semi-bold-font);
}

.thin{
    font-family: var(--thin-font);
}

.img{
    width: 100%;
    display: block;
}

/* LOADING SCREEN */

.loading-screen {
	position: fixed;
    top: 0;
    left: 0;
    width: 100vw;
	height: 100vh;
    background-color: white;
    display: flex;
    justify-content: center;
    align-items: center;
    z-index: 110;
    overflow: hidden;
}

.loader {
    width: 5vw;
    height: 5vw;
    border: 0.6vw solid #cccccc;
    border-top: 0.6vw solid var(--primary-color);
    border-radius: 50%;
    animation: spin 3s normal infinite;
}

@keyframes spin {
    0% { transform: rotate(0deg); }
    100% { transform: rotate(360deg); }
}

/* NAVBAR CSS */

.top-navbar{
	width: 100vw;
	background-color: black;
	display: flex;
	justify-content: space-between;
	align-items: center;
	padding: 2vw 5vw 1vw;
}

.buttons-container{
	display: flex;
	justify-content: center;
	gap: 2vw;
}

.nav-button{
	font-size: 1.1vw;
	color: white;
}

.nav-img{
	width: 6vw;
}

.selected{
	color: var(--primary-color);
}

/* FOOTER CSS */

.footer{
    background-color: var(--primary-color);
    width: 100%;
    display: flex;
    justify-content: space-between;
    padding: 3vw 5vw;
    color: white;
}

.footer-jsc{
    display: flex;
    flex-direction: column;
    justify-content: center;
}

.footer-img{
    width: 6vw;
    margin-bottom: 2vw;
}

.footer-jsc-a{
    color: white;
    padding-top: 1vw;
    font-size: 1.2vw;
}

.footer-menu{
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    align-items: center;
}

.footer-menu-top{
    display: flex;
    gap: 2vw;
}

.footer-option{
    color: white;
    font-size: 1.2vw;
}

.footer-menu-img{
    width: 2.5vw;
}

.social{
    width: 3vw;
    margin: 1vw 0.5vw;
}